image: docker:stable
services:
    - docker:dind

variables:
  DOCKER_HOST: tcp://docker:2375
  DOCKER_DRIVER: overlay2


before_script:
    - apk --no-cache add python git


build:
    script:
        - git diff-tree --no-commit-id --name-only -r HEAD
        - python publish_images.py
    tags:
        - docker
    only:
        - master
